#include <bits/stdc++.h>
using namespace std;

int main()
{

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n,q;
    cin >> n >> q;
    vector<int> niz(n);

    for(int i = 0;i < n;i++) cin >> niz[i];

    int b;
    sort(begin(niz),end(niz));
    for(int i = 0;i < q;i++){
        cin >> b;
        vector<int> pniz = niz;
        int r = lower_bound(begin(niz),end(niz),b) - begin(niz);

        if(b > niz[n-1]) cout << n;
        else{
            if(niz[r] != b){
                pniz.push_back(b);
                sort(begin(pniz),end(pniz));
                r = lower_bound(begin(pniz),end(pniz),b) - begin(pniz);
            }

            if(2*r-n == -1) cout << "0\n";
            else cout << abs(2*r-n) << "\n";
        }
    }
}